#ifndef KDCHARTTABLEDATAWRAPPER_H
#define KDCHARTTABLEDATAWRAPPER_H
#include <tqobject.h>
#include <KDChartTable.h>
class KDChartData;

class KDChartTableDataWrapper :public TQObject
{
    TQ_OBJECT
  
public:
    KDChartTableDataWrapper( KDChartTableData* );
public slots:
/*
    TQVariant cell( uint _row, uint _col );
    void setCell( uint _row, uint _col,
                  const TQVariant& _value1,
                  const TQVariant& _value2=TQVariant() );
    void setCell( uint _row, uint _col, double _element );

    // PENDING(blackie) This one do not work, due to TQSA bug regarding function overloading.
    void setCell( uint _row, uint _col, TQString _element );
*/
private:
    KDChartTableData* _data;
};


#endif /* KDCHARTTABLEDATAWRAPPER_H */

